<template>
  <v-container fluid>
    <v-row>
      <v-col cols="12" md="6">
        <ProjectsOverview />
      </v-col>
      <v-col cols="12" md="6">
        <SystemHealth />
      </v-col>
    </v-row>

    <v-row>
      <v-col cols="12">
        <DockerStatus />
      </v-col>
    </v-row>

    <v-row>
      <v-col cols="12" md="6">
        <GitActivity />
      </v-col>
      <v-col cols="12" md="6">
        <CiCdPipelines />
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import ProjectsOverview from '~/components/dashboard/ProjectsOverview.vue';
import SystemHealth from '~/components/dashboard/SystemHealth.vue';
import DockerStatus from '~/components/dashboard/DockerStatus.vue';
import GitActivity from '~/components/dashboard/GitActivity.vue';
import CiCdPipelines from '~/components/dashboard/CiCdPipelines.vue';

export default {
  components: {
    ProjectsOverview,
    SystemHealth,
    DockerStatus,
    GitActivity,
    CiCdPipelines
  }
};
</script>
